'use strict';
jQuery(document).ready(function () {

    jQuery('button[name="add-to-cart"]:not(.wbs-ajax-add-to-cart)').each(function () {
        if (jQuery(this).closest('.woocommerce-boost-sales').length > 0) {

        } else if (jQuery(this).hasClass('wbs-ajax-add-to-cart')) {

        } else {
            jQuery(this).remove();
        }
    })
    jQuery('button.single_add_to_cart_button:not(.wbs-ajax-add-to-cart)').each(function () {
        if (jQuery(this).closest('.woocommerce-boost-sales').length > 0) {

        } else {
            jQuery(this).remove();
        }
    })
    if (jQuery('[name="variation_id"]').length > 0) {
        jQuery('[name="variation_id"]').each(function () {
            var variation_el = jQuery(this);
            var variation_val = variation_el.val();
            if (parseInt(variation_val) > 0 && variation_val) {
                variation_el.closest('form.cart').find('.wbs-ajax-add-to-cart').removeClass('disabled');
            } else {
                variation_el.closest('form.cart').find('.wbs-ajax-add-to-cart').addClass('disabled');
            }
            variation_el.on('change', function () {
                var variation_val = jQuery(this).val();
                if (parseInt(variation_val) > 0 && variation_val) {
                    jQuery(this).closest('form.cart').find('.wbs-ajax-add-to-cart').removeClass('disabled');
                } else {
                    jQuery(this).closest('form.cart').find('.wbs-ajax-add-to-cart').addClass('disabled');
                }
            })
        })

    }
    jQuery('.wbs-ajax-add-to-cart').on('click', function (e) {
        e.preventDefault();
        var variation = jQuery(this).closest('.cart').find('[name="variation_id"]');
        if (variation.length > 0) {

            if (parseInt(variation.val()) < 1 || !variation.val()) {
                // alert(wc_add_to_cart_variation_params.i18n_make_a_selection_text);
                return;
            }
        }
        jQuery(this).addClass('loading');
        var form_data = jQuery(this).closest('.cart').serialize();
        var button = jQuery(this);
        button.closest('form').find('.added_to_cart').remove();
        jQuery.ajax({
            type: 'POST',
            data: 'action=wbs_ajax_add_to_cart&' + form_data,
            url: wboostsales_ajax_url,
            success: function (response1) {
                if (response1) {
                    if( response1.html) {
                        var wbs_notices = jQuery('.wbs-add-to-cart-notices-ajax').html();
                        jQuery('.wbs-add-to-cart-notices-ajax').html(wbs_notices + response1.html);
                    }
                    // if(response1.total){
                    //     jQuery('#wbs-content-upsells').find('.wbs-money').html(response1.total);
                    // }
                }
                button.after(' <a href="' + wbs_add_to_cart_params.cart_url + '" class="added_to_cart wc-forward" title="' +
                    wbs_add_to_cart_params.i18n_view_cart + '">' + wbs_add_to_cart_params.i18n_view_cart + '</a>');
                refresh_cart_fragment();
                button.removeClass('loading');
                button.addClass('added');
            },
            error: function (html) {
                button.removeClass('loading');
            }
        });
    })

    /* Named callback for refreshing cart fragment */
    function refresh_cart_fragment() {
        jQuery(document.body).trigger('wc_fragment_refresh');
    }
});
