<?php

if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

global $product;

if ( ! $product->is_purchasable() ) {
	return;
}

echo wc_get_stock_html( $product );
$settings = new VI_WBOOSTSALES_Data();

if ( $product->is_in_stock() ) : ?>
	<form class="woocommerce-boost-sales-cart-form" action="<?php echo $settings->get_option( 'go_to_cart' ) ? wc_get_cart_url() : esc_url( get_permalink() ); ?>" method="post" enctype='multipart/form-data'>
		<?php
		woocommerce_quantity_input(
			array(
				'min_value'   => apply_filters( 'woocommerce_quantity_input_min', $product->get_min_purchase_quantity(), $product ),
				'max_value'   => apply_filters( 'woocommerce_quantity_input_max', $product->get_max_purchase_quantity(), $product ),
				'input_value' => isset( $_POST['quantity'] ) ? 1 : $product->get_min_purchase_quantity(),
			)
		);
		?>
		<button type="submit" name="add-to-cart" value="<?php echo esc_attr( $product->get_id() ); ?>" class="wbs-single_add_to_cart_button button alt"><?php echo esc_html( 'Add to cart','woocommerce-boost-sales') ; ?></button>
	</form>
<?php endif; ?>
